Subject: [pkix] Fwd: New Version Notification for draft-hamilton-cmr-00.txt

From: Peter Sylvester <[email-masked]>
Date: Mon, 07 Nov 2011 12:42:54 +0100

For some (known) reason, the following mail did not get through PKIX.
After the discussions of the last two weeks, I'll add:

- It is amusing how programmers have  difficulties to add new
   syntaxes to toolkits etc., well, the current state of ASN.1
   tools used in favorite middleware doesn't not make this
   simple.
   It seems in fact easier to many to use an existing API for CRLs
   than making a new one for some other data structure.

- Nevertheless, when one attempts to do so, the project
   often just ends when the real work begins, i.e. when it comes
   to using the data. The task becomes difficult when the
   semantics is not well defined.

-------- Original Message --------
Subject: 	[pkix] New Version Notification for draft-hamilton-cmr-00.txt
Date: 	Fri, 21 Oct 2011 18:24:56 +0200
From: 	Peter Sylvester <[email-masked]>
To: 	[email-masked]

As far as I remember:  a version field in an asn.1 syntax indicates a change in the syntax, i.e. adding
new fields at the end, not a change in semantics.

As an attacker: if I get a list of valid serial numbers, I would try to get a cert with such a number.